// LoginValidate.cpp: implementation of the CLoginValidate class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DB_APIVCClient.h"
#include "LoginValidate.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLoginValidate::CLoginValidate()
{
	//m_UserId =-1;
}

CLoginValidate::~CLoginValidate()
{

}

/*BOOL CLoginValidate::Validate(CString strUser,CString strPasswd)
{
	
		BSTR bstrStr;	

		long lUserID;
		BSTR bstrUser;
		BSTR bstrPassword;
		BSTR bstrDomainName;
		
	try
	{
		bstrUser = strUser.AllocSysString();
		bstrPassword = strPasswd.AllocSysString();
		bstrDomainName= NULL;

		m_pApplication.CreateInstance(__uuidof(Application));
		m_pApplication->Login(&lUserID, &bstrUser , &bstrPassword , &bstrDomainName);
				
		if(lUserID > 0)
		{
			m_Oper.CreateInstance(__uuidof(Operator));
			m_Oper->Init(&lUserID);
			return TRUE;
		}

		else
		{
			return FALSE;
		}
	}
	catch(_com_error &e)
	{
		bstrStr = e.Description();
		return FALSE;
	}

	
CoUninitialize();

}*/
